Bug 622839 - extraneous user hash code appears in stdout after executing list --available
Summary: extraneous user hash code appears in stdout after executing list --available
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 568421
TreeView+ depends on / blocked
 
Reported: 2010-08-10 14:29 UTC by John Sefler
Modified: 2011-05-19 13:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 13:41:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-08-10 14:29:28 UTC
Description of problem:
Although harmless, the first line of stdout from list --available prints the hash code of the registered user.

Is this expected output information? or not?

Version-Release number of selected component (if applicable):
# rpm -q subscription-manager
subscription-manager-0.74-1.git.16.4a53059.fc12.i386


How reproducible:


Steps to Reproduce:

# subscription-manager-cli list --available
73938201-1405-4db1-8821-862790eb01e0            <---  EXTRANEOUS STDOUT
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+
<snip>


# subscription-manager-cli list --available
73938201-1405-4db1-8821-862790eb01e0            <---  EXTRANEOUS STDOUT
No Available subscription pools to list

Comment 1 Adrian Likins 2010-08-10 16:15:02 UTC
Should be fixed in git head, (and next version 0.75)

Comment 2 wes hayutin 2010-08-10 16:37:03 UTC
[root@client02-rhel6-beta2 src]# ./subscription-manager-cli list --available+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	RHEL for Physical Servers
ProductId:         	MKT-rhel-server   


verified

Comment 3 errata-xmlrpc 2011-05-19 13:41:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.